Skip to content

upsertItemShelfLife

DESTRUCTIVE

Upsert item shelf life.

POST /api/v1/items/upsertItemShelfLife
curl -X POST '<your-host>/api/v1/items/upsertItemShelfLife' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string"
  }'

Parameters

ParameterType
"NotManaged""Fixed Duration""Calculated""Set on Receipt"
"Before""After"

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "mode": {
      "type": "string",
      "enum": [
        "NotManaged",
        "Fixed Duration",
        "Calculated",
        "Set on Receipt"
      ]
    },
    "days": {
      "type": "number"
    },
    "triggerProcessId": {
      "type": "string"
    },
    "triggerTiming": {
      "type": "string",
      "enum": [
        "Before",
        "After"
      ]
    },
    "calculateFromBom": {
      "type": "boolean"
    }
  },
  "required": [
    "itemId"
  ]
}